Dismiss Notice
We would like to remind you that we’re updating our login process for all 3CX forums whereby you will be able to login with the same credentials you use for the Partner or Customer Portal. Click here to read more.

Anyone with a BUSY 15.5 install?

Discussion in '3CX Phone System - General' started by the60, Sep 28, 2017.

Thread Status:
Not open for further replies.
  1. the60

    the60 New Member

    Joined:
    Oct 21, 2011
    Messages:
    117
    Likes Received:
    61
    We have a busy call center running 12.5.

    • About 20 queues.
    • 10k calls per day.
    • 125-200 concurrent calls, all day long
    It took a bit of work to get this properly operational about 3 years ago. But it's been stable for some time.

    We now need to upgrade to 15.5, for obvious reasons.

    This makes me nervous. I have no clue how well the new 15.x platform performs with the aforementioned load. (Server hardware not an issue.)

    Does anyone have a 15.5 system running with a similar load, or bigger?

    Any feedback is highly appreciated.

    Thanks.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  2. sip.bg

    sip.bg Active Member

    Joined:
    Nov 7, 2016
    Messages:
    704
    Likes Received:
    220
    Most issues with reprovisioning hardware phones, Yealink for example will not update automatically to latest supported firmware, phones stay indefinitely long (forever) with older firmware (marked in red as not supported). I had to upgrade firmware manually for over 200 phones. Extremely boring excersize, nevertheless they were upgraded without issues to latest supported by V.14 firmware, before upgrade of the PBX.
    Also some relatively small issues with dial plans, etc. For example, if outside destination for DID number starts with '*', new v15.5 gives an error (invalid entry) -- I had some dial codes for selecting specific trunks like *70, *71, etc. I don't want to use a code starting with digit, one reason is to minimize the chance of dialing it by mistake.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
    #2 sip.bg, Sep 28, 2017
    Last edited: Sep 28, 2017
  3. the60

    the60 New Member

    Joined:
    Oct 21, 2011
    Messages:
    117
    Likes Received:
    61
    You bring up a valid point. I'm not sure if Yealink phones can be firmware upgraded via a DHCP option-66 (like Polycom).

    But, my concern is more about 3CX's capability, under the new architecture, to operate reliably in a 24/7 environment with the parameters outlined in my post. Forgot to mention the number of endpoints...Just shy of 700.

    Is 3CX 15.5 holding up well under heavier-than-average load?
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. sip.bg

    sip.bg Active Member

    Joined:
    Nov 7, 2016
    Messages:
    704
    Likes Received:
    220
    I don't observe any stability issues neither with windows, nor with Debian installations of 3CX v15.5, regardless of PBX size. We run over 50 instances into our own cloud environment (under VMware) plus many on premise. However, our largest installations including such as 128SC or over 10,000 calls per day, are still on v.14 (and probably will remain so for various reasons).

    NGINX -- the web server for v15/15.5 is much lighter and faster than IIS (or Abyss) used in previous versions. Using Debian 8 also requires less hardware resources than Windows 2008 / 2012 server, specially important into cloud environment.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
    accentlogic likes this.
  5. jhonku

    Joined:
    Mar 25, 2016
    Messages:
    33
    Likes Received:
    6
    Hi the60,
    Be carefull in this points

    Recordings:
    Change Quota after upgrade. In v15 5 the default quota is 5 GB
    We had issues with delay to see recordings. in V155 it download all database previous show it to user, if you have lot of files it could spent several minutes.

    Windows and 3CX compatibility
    You have to update win on server and clients previous upgrade 3CX

    Hardphones.
    Upgrade firmware previous upgrade 3CX (I recommend that install a test environment) Some phones are not compatible with 15 5

    I hope that it helps
     
  6. the60

    the60 New Member

    Joined:
    Oct 21, 2011
    Messages:
    117
    Likes Received:
    61
    Thanks for the feedback. So far, this is in line with my expectations. I'm curious why you're keeping your larger, busier clients on 14 and not upgrading. Can you detail why?
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  7. sip.bg

    sip.bg Active Member

    Joined:
    Nov 7, 2016
    Messages:
    704
    Likes Received:
    220
    Some of them don't want to pay for 3CX maintenance, others don't use webmeeting (which is not working anymore in V14) nor using 3CX v14 phones for Android and iOS (which will stop working also soon), so they can stay on v.14, unless been forced some other way to upgrade (but in such scenario they would rather replace 3CX with an alternative solution). Third are using heavily call deflection ('302' diversion header) which is not supported in v15/15.5, for forwarding calls to mobiles (3CX phone for Android / iOS is not working enough reliably for heavy business usage, either because push is not 100% reliable, or voip quality is poor due to bad mobile internet, or 3CX calls are interfering with GSM calls), so they prefer to receive calls on their mobiles as GSM calls. Customers like banks or hospitals don't want to use 3CX softphone on their mobiles.
    The main reason for me is phones firmware upgrade issues, this upgrade is not happening automatically regardless of PBX pretending to upgrade them (both Fanvil and Yealink tested). I can't afford angry customers waiting for manual upgrade of phones or manual reprovisioning. The effort for upgrading 200 or 300 phones is big enough. Some customers would not pay for upgrade efforts to v.15.5, if they are satisfied with v.14 operation and don't want to change anything.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
    jbryant84 likes this.
Thread Status:
Not open for further replies.